Subject: Re: Build error

From: Anton Vorontsov <[email-masked]>
Date: Wed, 1 Apr 2009 00:57:44 +0400

On Tue, Mar 31, 2009 at 10:41:38PM +0200, Segher Boessenkool wrote:
>>>>> ERROR: "fsl_pq_mdio_bus_name" [drivers/net/gianfar_driver.ko]
>>>>> undefined!
>>>>>
>>>>> I'll ask Linus to pull anyway though.
>>>>>
>>>>> Cheers,
>>>>> Ben.
>>>>
>>>> I believe this is fixed in net-next (and possible linus has already
>>>> pulled that in.)
>>>
>>> FWIW, I can't reproduce the issue neither in benh/powerpc.git `next'
>>> branch nor in `merge' branch...
>>
>> Ah .. .weird :-)
>
> I had this happen a few days ago already, on Linus' tree.  I also told
> you about it (on IRC), but you were too busy or something :-)
>
> A simple ppc6xx_defconfig is enough to reproduce, fwiw.
>
> Here's the patch I used, sorry if my mailer wraps it, it's a one-liner,
> you can handle it I'm sure :-)

Ah, the modular build. Yeah, I didn't try it, but should have... :-(

Thanks!

> Segher
>
>
> Signed-off-by: Segher Boessenkool <[email-masked]>
>
>
> Author: Segher Boessenkool <[email-masked]>
> Date:   Fri Mar 27 21:10:59 2009 +0100
>
>     powerpc: EXPORT_SYMBOL_GPL(fsl_pq_mdio_bus_name)
>
> diff --git a/drivers/net/fsl_pq_mdio.c b/drivers/net/fsl_pq_mdio.c
> index b3079a5..a108332 100644
> --- a/drivers/net/fsl_pq_mdio.c
> +++ b/drivers/net/fsl_pq_mdio.c
> @@ -204,6 +204,7 @@ void fsl_pq_mdio_bus_name(char *name, struct  
> device_node *np
>         snprintf(name, MII_BUS_ID_SIZE, "%s@%llx", np->name,
>                 (unsigned long long)taddr);
>  }
> +EXPORT_SYMBOL_GPL(fsl_pq_mdio_bus_name);
>
>  /* Scan the bus in reverse, looking for an empty spot */
>  static int fsl_pq_mdio_find_free(struct mii_bus *new_bus)
>

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2